ListWorkflows
Lists workflow versions based on filtering parameters. To list the build versions of a specific workflow version, call ListWorkflowBuildVersions.
Request Syntax
POST /ListWorkflows HTTP/1.1
Content-type: application/json
{
"byName": boolean,
"filters": [
{
"name": "string",
"values": [ "string" ]
}
],
"maxResults": number,
"nextToken": "string",
"owner": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- byName
-
Specifies whether to return one entry per workflow name, with all versions of each workflow aggregated. Defaults to
false, which returns one entry per workflow version. You can't combine this option with theversionfilter.Type: Boolean
Required: No
- filters
-
Filters to narrow the list of workflows. You can filter on
name,version,description, andtype.Type: Array of Filter objects
Array Members: Minimum number of 1 item. Maximum number of 10 items.
Required: No
- maxResults
-
The maximum number of items to return in a single request.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 25.
Required: No
- nextToken
-
A token to specify where to start paginating. Use the
nextTokenvalue from a previously truncated response.Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
Required: No
- owner
-
Filters results based on the workflow owner. By default, this request returns the workflows that your account owns (
Self). SpecifyAmazonto list the workflows that Image Builder manages. Image Builder rejects theSharedandThirdPartyowner values for workflows, andAWSMarketplacereturns no results.Type: String
Valid Values:
Self | Shared | Amazon | ThirdParty | AWSMarketplaceRequired: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"workflowVersionList": [
{
"arn": "string",
"dateCreated": "string",
"description": "string",
"name": "string",
"owner": "string",
"type": "string",
"version": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
The next token used for paginated responses. When this field isn't empty, there are additional elements that the service hasn't included in this request. Use this token with the next request to retrieve additional objects.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
- workflowVersionList
-
A list of workflow versions that match the request criteria.
Type: Array of WorkflowVersion objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.
HTTP Status Code: 429
- ClientException
-
A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- InvalidPaginationTokenException
-
You have provided an invalid pagination token in your request.
HTTP Status Code: 400
- InvalidRequestException
-
The request is malformed or otherwise invalid. Verify the request and try again.
HTTP Status Code: 400
- ServiceException
-
An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
Examples
List workflows that you own
The following example lists the workflow versions that you own.
Sample Request
POST /ListWorkflows HTTP/1.1
Content-type: application/json
{
"owner": "Self"
}
Sample Response
HTTP/1.1 200
Content-type: application/json
{
"workflowVersionList": [
{
"arn": "arn:aws:imagebuilder:us-west-2:111122223333:workflow/build/my-example-build-workflow/1.0.0",
"name": "my-example-build-workflow",
"version": "1.0.0",
"description": "Builds my example image",
"type": "BUILD",
"owner": "111122223333",
"dateCreated": "2026-09-09T19:56:09.033Z"
},
{
"arn": "arn:aws:imagebuilder:us-west-2:111122223333:workflow/test/my-example-test-workflow/1.0.0",
"name": "my-example-test-workflow",
"version": "1.0.0",
"description": "Tests my example image",
"type": "TEST",
"owner": "111122223333",
"dateCreated": "2026-09-09T19:56:12.440Z"
}
]
}
See Also
For more information about using this API in one of the language-specific Amazon SDKs, see the following: